Each project has a team of people. The project team must have at least one Maintainer.
A project can be maintained and translated with just a Maintainer on the team, but
you may wish to add more people if you want to do any of the following:

 - Allow other users to help maintain the project and version settings.
 - Allow translation or review by users who are not members of the global translation team for a language.
 - Allow only your assigned translators and reviewers to work on the project. This requires setting [Invite only](/user-guide/projects/project-settings#invite-only).
 - Delegate other users to help assign and manage translators and reviewers.

## Project People tab

View and edit the project team in the People tab. The People tab is on the project home page.

![project people tab](/images/project-view-people.png)


## Roles

The following roles are available in the project team. Each role applies only to
one project. To gain permissions on multiple projects, a user must be assigned in
each, or must join a [global language team](/user-guide/languages/language-team).


### Project Maintainer

A Maintainer has full permissions for a project. Maintainers can:

 - Change all project settings.
 - Create and manage versions.
 - Add and remove other Maintainers and Translation Maintainers
 - Add and remove Translators and Reviewers for any language.
 - Perform all translation tasks.


### Translation Maintainer

A Translation Maintainer can manage the language-specific roles in the project team. Translation Maintainers can:

 - Add and remove Translators and Reviewers for any language.
 - Perform all translation tasks.


### Translator (for a language)

A Translator can translate any document for any version into their locale.


### Reviewer (for a language)

A Reviewer can translate and review any document for any version in their locale.


## Change team members

Only admin, maintainer, translation maintainer are allowed. If you do not see
the buttons, make sure you are logged in and you have the right permissions.
If you do not have permission, you have to ask the maintainers to give you permission.

![manage permissions dialog](/images/project-people-manage-permissions.png)


### Add someone to the team

To add someone to the project team:

 - Click "Add Someone".
 - Search for the user by typing their username or full name in the text box.
 - Select the user when they are shown in the search results.
 - Click the role or roles that you want the user to have.
 - Click "Add person"

The user will be shown in the list of people, with their new role or roles.


### Add or remove roles for a user

To give a user more roles or remove roles the user has:

 - Open the People tab for the project.
 - Click "Manage permissions" next to the person in the list.
 - Click the roles you wish to add or remove.
 - Click "Save permissions".


### Remove someone from the team

To remove someone from the team, just remove all their roles. The button in the
"Manage permissions" dialog will change to show that the person will be removed
when you save the permissions.
